import { IWatchListEntry } from './watch-list-entry.model';
import { CheckFrequency } from './enumerations/check-frequency.model';
export interface IUserWatchList {
  id?: number;
  name?: string;
  checkFrequency?: CheckFrequency;
  userLogin?: string;
  userId?: number;
}

export class UserWatchList implements IUserWatchList {
  constructor(
    public id?: number,
    public name?: string,
    public checkFrequency?: CheckFrequency,
    public userLogin?: string,
    public userId?: number
  ) {}
}

export interface UserWatchListWithContent {
  userWatchList: IUserWatchList;
  exercises: Array<IWatchListEntry>;
}
